FROM amd64/nginx:1.31.1-alpine@sha256:351e92693052b5aef1039577218f822ce56300dce4b22a0fe4a6f04f34557ec6 as build

RUN apk add --update \
    wget

ARG HUGO_VERSION="0.89.4"
RUN wget --quiet "https://github.com/gohugoio/hugo/releases/download/v${HUGO_VERSION}/hugo_${HUGO_VERSION}_Linux-64bit.tar.gz" && \
    tar xzf hugo_${HUGO_VERSION}_Linux-64bit.tar.gz && \
    rm -r hugo_${HUGO_VERSION}_Linux-64bit.tar.gz && \
    mv hugo /usr/bin

COPY ./ /site
WORKDIR /site
RUN hugo

FROM amd64/nginx:1.31.1-alpine@sha256:351e92693052b5aef1039577218f822ce56300dce4b22a0fe4a6f04f34557ec6
ADD default.conf /etc/nginx/conf.d/default.conf
COPY --from=build /site/public /usr/share/nginx/html

WORKDIR /usr/share/nginx/html
